%-------------------------------------------------------------------------------
%                Required Packages
%-------------------------------------------------------------------------------
\usepackage{booktabs}
\usepackage{multirow}
\usepackage{longtable}
\usepackage[table]{xcolor}
\usepackage[shortlabels]{enumitem}
\usepackage{ifthen}
\usepackage{caption}


%Contador para los reqnofunc
\newcounter{reqnofuncctr}
\setcounter{reqnofuncctr}{0}

%-------------------------------------------------------------------------------
%                \addtitle command: add the title of the reqnofunc
%-------------------------------------------------------------------------------

\newcommand{\refreqnofunc}[1]{%
	\texttt{[RNF-\ref{#1}]}%
}

\newcommand\addtitlereqnofunc[2]{%
	\hline \rowcolor{gray!15}  %
	\multicolumn{2}{|c|}{%
		\refstepcounter{reqnofuncctr}\label{#2}%
		\texttt{\textbf{RNF-\arabic{reqnofuncctr}}} \textbf{#1}%
	} \\ \hline
}

\newcommand\tabularheadreqnofunc{\begin{longtable*}{|lp{10cm}|}
	}
	
	%-------------------------------------------------------------------------------
	%                \addfield command: add a property of the reqnofunc
	%-------------------------------------------------------------------------------
	\newcommand\addfieldreqnofunc[2]{\textit{#1} &#2\\ \hline  }
	
	%-------------------------------------------------------------------------------
	%                \additemizedfield command: add a field with an item list
	%-------------------------------------------------------------------------------
	\newcommand\additemizedfieldreqnofunc[2]{ 
		\begin{minipage}[t][][t]{2cm}
			\textit{#1}
			\vspace{1.3ex}
		\end{minipage}% 
		&
		\begin{minipage}[t][][t]{8.3cm}
			\begin{itemize}[leftmargin=*,nosep] 
				#2
			\end{itemize}
			\vspace{1.5ex}
		\end{minipage}\\ \hline}
	
	%-------------------------------------------------------------------------------
	%                Definition of the reqnofuncetive environment
	%-------------------------------------------------------------------------------
	\newenvironment{reqnofunc}{\tabularheadreqnofunc}
	{\end{longtable*}}